Skip to main content
GET
/
api
/
v2.1
/
calendar
/
ratings
Returns analyst ratings data
curl --request GET \
  --url 'https://api.benzinga.com/api/v2.1/calendar/ratings?token=' \
  --header 'accept: <accept>'
{
  "ratings": [
    {
      "action_company": "Goldman Sachs",
      "action_pt": "Raises",
      "adjusted_pt_current": "200.00",
      "adjusted_pt_prior": "185.00",
      "analyst": "Goldman Sachs",
      "analyst_id": "60a7f5e8e4b0f5a3c8e9f5a6",
      "analyst_name": "John Smith",
      "currency": "USD",
      "cusip": 37833100,
      "date": "2024-01-09",
      "exchange": "NASDAQ",
      "firm_id": "60a7f5e8e4b0f5a3c8e9f5a5",
      "id": "60a7f5e8e4b0f5a3c8e9f5a4",
      "importance": 3,
      "isin": "US0378331005",
      "name": "Apple Inc.",
      "notes": "Upgraded due to strong quarterly performance",
      "pt_current": "200.00",
      "pt_prior": "185.00",
      "rating_current": "Buy",
      "rating_prior": "Neutral",
      "ticker": "AAPL",
      "time": "09:30:00",
      "updated": 1704819600,
      "url": "https://www.benzinga.com/ratings/123456",
      "url_calendar": "https://www.benzinga.com/calendar/ratings/123456",
      "url_news": "https://www.benzinga.com/news/123456"
    }
  ]
}

Authorizations

token
string
query
required

Headers

accept
enum<string>
default:application/json
required

Specifies return format. Query parameters work the same for both formats

Available options:
application/json

Query Parameters

fields
string<csv>

Comma-separated list of fields to return. Available fields: id, date, time, ticker, exchange, name, currency, action_pt, action_company, rating_current, pt_current, rating_prior, pt_prior, pt_pct_change, url, url_calendar, url_news, analyst, analyst_id, analyst_name, ratings_accuracy, importance, notes, updated. Use * for all fields including ratings_accuracy

page
integer
default:0

Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date

pagesize
integer

Number of results returned. Limit 1000

parameters[date]
string<YYYY-MM-DD>

Date to query for calendar data. Shorthand for date_from and date_to if they are the same. Defaults for latest

parameters[date_from]
string<YYYY-MM-DD>

Date to query from point in time

parameters[date_to]
string<YYYY-MM-DD>

Date to query to point in time

parameters[importance]
enum<integer>

The importance level to filter by. Uses Greater Than or Equal To the importance indicated

Available options:
0,
1,
2,
3,
4,
5
parameters[tickers]
string<csv>

One or more ticker symbols separated by a comma. Maximum 50 tickers

parameters[updated]
integer

Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated

parameters[analyst_id]
string<csv>

One or more analyst ids (analyst_id) separated by a comma

parameters[firm_id]
string<csv>

One or more firm ids (firm_id) separated by a comma

parameters[action]
enum<string>

Filter by a specific action_company (action for rating). Note that all of these terms are precisely defined

Available options:
Downgrades,
Maintains,
Reinstates,
Reiterates,
Upgrades,
Assumes,
Initiates Coverage On,
Terminates Coverage On,
Removes,
Suspends,
Firm Dissolved
analyst
string<csv>

A comma separated list of analyst (person) ID's to bring back. Omitting will bring back all available analysts

firm
string<csv>

A comma separated list of analyst firm ID's to bring back. Omitting will bring back all available firms

simplify
boolean
default:false

Simplify the ratings to standardized categories

Response

success

API response containing an array of analyst ratings

ratings
object[]